:root{
	--breakpoint-xs: 360px;
	--breakpoint-s: 400px;
	--breakpoint-m: 800px;
	--breakpoint-l: ;
	--breakpoint-xl: ;
	
	--standard-width-elem: min(1008px, 92vw);
	--wide-width-elem: min(1240px, 98vw);
	--full-width-elem: 100vw;

	--one-column: calc( (min(96vw, 1008px) - min(24vw, 264px)) / 12);
	--one-gutter: calc( min(24vw, 264px) / 11);
}

*{
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

wrapper{
	display: flex;
	align-items: center;
	flex-flow: column wrap;
	row-gap: 100px;
}

.wrapper .wp-block-group{
	display: flex;
	align-items: center;
	flex-flow: column wrap;
	row-gap: 50px;
}



.wp-block-group.is-nowrap:not(.is-vertical){
	flex-flow: row;
}

/* .wp-block-group.is-nowrap:not(.is-vertical) > *{
	max-width: 50% !important; 
}

.wp-block-group.is-nowrap:not(.is-vertical) > * *{
	max-width: 100% !important;
} */


.wrapper > *, 
.wp-block-cover__inner-container,
.aligndefault{
	width: 100%;
	/* max-width: var(--standard-width-elem); */
	}

.height-full{
	height: 100vh;
}

.alignwide{
	max-width: var(--wide-width-elem) !important;
}

.alignfull{
	max-width: var(--full-width-elem) !important;
	width: 100vw;
	/* left: 50%;
	transform: translateX(-50vw); */
}

.absolute{
	position: absolute;
}

.sticky{
	position: sticky;
	top: 0;
}

.grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
}

.grid-2-2{
	grid-column: span 2;
	grid-row: span 2;
}

.flex-row{
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-between;
}

.fl-wrap-no{
	flex-wrap: nowrap;
}

.fl-wrap{
	flex-wrap: wrap;
}

.flex-column, 
.wp-block-cover:not(.reset){
	display: flex;
	flex-direction: column;
}
.flex-column.dir-reverse{
	flex-direction: column-reverse;
}

.flex-row.dir-reverse{
	flex-direction: row-reverse;
}
.fl-evenly{
	justify-content: space-evenly;
}

.fl-spacebetween{
	justify-content: space-between;
}

.flex-row.fl-x-end{
	justify-content: flex-end;
} 

.flex-row.fl-x-start{
	justify-content: flex-start;
} 

.flex-row.fl-x-center{
	justify-content: center;
}

.flex-1{
	flex: 1;
}

.grow-1{
	flex-grow: 1;
}

.flex-row.fl-y-center{
	align-items: center;
}

.flex-row.fl-y-baseline{
	align-items: baseline;
}

.flex-row.fl-y-end{
	align-items: flex-end;
}

.flex-row.fl-y-start{
	align-items: flex-start;
}

.flex-column.fl-x-start{
	align-items: start;
}

.flex-column.fl-x-end{
	align-items: end;
}

.flex-column.fl-x-center{
	align-items: center;
}

.flex-column.fl-y-center{
	justify-content: center;
}

.flex-column.fl-y-baseline{
	justify-content: baseline;
}

.flex-column.fl-y-end{
	justify-content: flex-end;
}

.flex-column.fl-y-start{
	justify-content: flex-start;
}

.text-align-right{
	text-align: right;
}

.text-align-left{
	text-align: left;
}

.text-align-center{
	text-align: center;
}

.fl-spacearound{
	justify-content: space-around; 
}

.margin-x-auto{margin-left: auto; margin-right: auto;}

.has-medium-font-size{
	font-size: 1.2em;
}

.has-large-font-size{
	font-size: 1.5em;
}

.font-weight-400{
	font-weight: 400;
}

.font-weight-500{
	font-weight: 500;
} 

.bottom-0{bottom: 0;}
.left-0{left: 0;}
.right-0{right: 0;}
.top-0{top: 0;}

.padding-0{ padding: 0;} 
.padding-half-gut{ padding: calc(var(--one-gutter)*.5);} 
.padding-1-gut{ padding: var(--one-gutter);}
.padding-2-gut{ padding: calc(var(--one-gutter)*2);}

.padding-1-col{ padding: var(--one-column);}

.padding-8{padding: 8px;}
.padding-12{padding: 12px;}
.padding-20{padding: 20px;}
.padding-24{padding: 24px;}
.padding-40{padding: 40px;}

.padding-8-0{padding: 8px 0;}
.padding-12-0{padding: 12px 0;}
.padding-20-0{padding: 20px 0;}
.padding-40-0{padding: 40px 0;}

.padding-0-8{padding: 0 8px;}
.padding-0-12{padding: 0 12px;}
.padding-0-20{padding: 0 20px;}
.padding-0-40{padding: 0 40px;}


.padding-left-0{ padding-left: 0;} 
.padding-left-half-gut{ padding-left: calc(var(--one-gutter)*.5);} 
.padding-left-1-gut{ padding-left: var(--one-gutter);}
.padding-left-2-gut{ padding-left: calc(var(--one-gutter)*2);}

.padding-left-0{ padding-left: 0px;}
.padding-left-20{ padding-left: 20px;}
.padding-left-40{ padding-left: 40px;}
.padding-left-60{ padding-left: 60px;}

.padding-right-0{ padding-right: 0;} 
.padding-right-20{ padding-right: 20px;}
.padding-right-40{ padding-right: 40px;}
.padding-right-60{ padding-right: 60px;}


.padding-left-1-col{ padding-left: calc(var(--one-column));}
.padding-left-2-col{ padding-left: calc(var(--one-column)*2);}
.padding-left-3-col{ padding-left: calc(var(--one-column)*3);}
.padding-left-4-col{ padding-left: calc(var(--one-column)*4);}

.padding-right-half-gut{ padding-right: calc(var(--one-gutter)*.5);} 
.padding-right-1-gut{ padding-right: var(--one-gutter);}
.padding-right-2-gut{ padding-right: calc(var(--one-gutter)*2);}

.padding-right-1-col-2-gut{ padding-right: calc(var(--one-gutter)*2 + var(--one-column)*1);}


.padding-right-1-col{ padding-right: calc(var(--one-column));}
.padding-right-2-col{ padding-right: calc(var(--one-column)*2);}
.padding-right-3-col{ padding-right: calc(var(--one-column)*3);}
.padding-right-4-col{ padding-right: calc(var(--one-column)*4);}

.padding-top-0{ padding-top: 0px;} 
.padding-top-half-gut{ padding-top: calc(var(--one-gutter)*.5);} 
.padding-top-1-gut{ padding-top: var(--one-gutter);}
.padding-top-2-gut{ padding-top: calc(var(--one-gutter)*2);}

.padding-top-1-col{ padding-top: calc(var(--one-column));}
.padding-top-2-col{ padding-top: calc(var(--one-column)*2);}
.padding-top-3-col{ padding-top: calc(var(--one-column)*3);}
.padding-top-4-col{ padding-top: calc(var(--one-column)*4);}


.padding-bottom-half-gut{ padding-bottom: calc(var(--one-gutter)*.5);} 
.padding-bottom-1-gut{ padding-bottom: var(--one-gutter);}
.padding-bottom-2-gut{ padding-bottom: calc(var(--one-gutter)*2);}

.padding-bottom-1-col{ padding-bottom: calc(var(--one-column));}
.padding-bottom-2-col{ padding-bottom: calc(var(--one-column)*2);}
.padding-bottom-3-col{ padding-bottom: calc(var(--one-column)*3);}
.padding-bottom-4-col{ padding-bottom: calc(var(--one-column)*4);}

.margin-8{margin: 8px;}
.margin-12{margin: 12px;}
.margin-20{margin: 20px;}
.margin-24{margin: 24px;}
.margin-40{margin: 40px;}


.margin-top-2-col{ margin-top: calc(var(--one-column)*2);}
.margin-top-1-col{ margin-top: calc(var(--one-column));}

.margin-bottom-2-col{ margin-bottom: calc(var(--one-column)*2);}
.margin-bottom-1-col{ margin-bottom: calc(var(--one-column)*1);}
.margin-bottom-half-col{ margin-bottom: calc(var(--one-column)*.5);}


.gap-1-gut{ gap: var(--one-gutter); }
.gap-2-gut{ gap: calc(var(--one-gutter) * 2); }

.gap-1-col{ gap: var(--one-column); }
.gap-2-col{ gap: calc(var(--one-column) * 2); }

.gap-4{ gap: 4px; }
.gap-8{ gap: 8px; }
.gap-12{ gap: 12px; }
.gap-16{ gap: 16px; }
.gap-20{ gap: 20px; }
.gap-24{ gap: 24px; }
.gap-32{ gap: 32px; }
.gap-36{ gap: 36px; }
.gap-40{ gap: 40px; }
.gap-44{ gap: 44px; }
.gap-48{ gap: 48px; }
.gap-60{ gap: 60px; }
.gap-80{ gap: 80px; }
.gap-180{ gap: 180px; }
.gap-280{ gap: 280px; }

.border-0 { border: 0; }
.border-1 { border: 1px solid; }
.border-2 { border: 2px solid; }
.border-4 { border: 4px solid; }

.border-top-1 { border-top: 1px solid; }
.border-right-1 { border-right: 1px solid; }
.border-bottom-1 { border-bottom: 1px solid; }
.border-left-1 { border-left: 1px solid; }

.border-radius-0 { border-radius: 0; }
.border-radius-4 { border-radius: 4px; }
.border-radius-8 { border-radius: 8px; }
.border-radius-12 { border-radius: 12px; }
.border-radius-20 { border-radius: 20px; }
.border-radius-28 { border-radius: 28px; }
.border-radius-full { border-radius: 9999px; }


.wp-block-cover__inner-container{
	width: 50%;
	margin-left: auto;
	margin-right: auto;
}

.height-auto{ height: auto;}
.height-100{ height: 100%;}
.height-75{ height: 75%;}
.height-50{ height: 50%;}
.height-33{ height: 33%;}

.width-50-perc{ width: 50%;}


.width-perc-100, .width-100{ width: 100%;}
.width-perc-50{ width: 50%;}
.width-perc-33{ width: 33%;}

.width-100vw{ width: 100vw;}


.width-16-col{ width: calc(var(--one-column) * 16 + var(--one-gutter) * 15); }
.width-14-col{ width: calc(var(--one-column) * 14 + var(--one-gutter) * 13); }
.width-12-col{ width: calc(var(--one-column) * 12 + var(--one-gutter) * 11); }
.width-10-col{ width: calc(var(--one-column) * 10 + var(--one-gutter) * 9); }
.width-9-col{ width: calc(var(--one-column) * 9 + var(--one-gutter) * 8); }
.width-8-col{ width: calc(var(--one-column) * 8 + var(--one-gutter) * 7); }
.width-7-col{ width: calc(var(--one-column) * 7 + var(--one-gutter) * 6); }
.width-6-col{ width: calc(var(--one-column) * 6 + var(--one-gutter) * 5); }
.width-5-col{ width: calc(var(--one-column) * 5 + var(--one-gutter) * 4); }
.width-4-col{ width: calc(var(--one-column) * 4 + var(--one-gutter) * 3); }
.width-3-col{ width: calc(var(--one-column) * 3 + var(--one-gutter) * 2); }
.width-2-col{ width: calc(var(--one-column) * 2 + var(--one-gutter) * 1); }
.width-1-col{ width: var(--one-column); }

.solid-line{
	width: 100%;
	height: 1px;
	background-color: var(--grey);
}


.overflow-visible{
	overflow: visible;
}

.overflow-scroll{
	overflow: scroll;
}

.overflow-hidden{
	overflow: hidden;
}

.hide, .l-hide{
	display: none;
}

.wp-block-image .alignright{
	display: flex;
	justify-content: end;
}

.wp-block-image .alignleft{
	display: flex;
	justify-content: start;
}

.object-fit-cover{
	object-fit: cover;
}
.object-fit-contain{
	object-fit: contain;
}

/* TEXTSTYLES */

.text-color-pink{color: var(--pink);}
.text-color-blue{color: var(--blue);}
.text-color-green{color: var(--green);}
.text-color-halfblack{color: var(--black-50);}

/* MEDIAQUERIES */

	@media screen and (max-width: 360px) {
		.flex-row.xs-fl-x-center{
			justify-content: center;
		}
		.xs-flex-row{
			flex-direction: row;
		}
		.xs-flex-column{
			flex-direction: column;
		}
		.xs-hide{
			display: none;
		}
	}
	
	@media screen and (max-width: 400px) {
		
		.s-text-center{
			text-align: center;
		}
		.flex-row.s-fl-x-center{
			justify-content: center;
		}
		.s-flex-row{
			flex-direction: row;
		}
		.s-flex-column{
			flex-direction: column;
		}
		.s-hide{
			display: none;
		}
	}
	
	@media screen and (max-width: 800px) {
		
		.m-hide{
			display: none;
		}
		
		.mobile-nav{
			display: flex !important;
		}
		
		.m-not-sticky{
			position: relative;
			top: auto;
		}
		
		.gap-180{ gap: 6em; }
		
		:root {
			/* --standard-width-elem: 100vw; */
			--wide-width-elem: min(1240px, 96vw);
			--full-width-elem: 100vw;
			
			--one-column: calc( (min(96vw, 1268px) - min(6vw, 220px)) / 6);
			--one-gutter: calc( min(20vw, 220px) / 5);
			
		}
		
		.m-height-50{ height: 50%;}
		.m-height-full{ height: 100vh;}
		
		.m-width-12-col,
		.width-12-col, .width-10-col, .width-9-col, .width-8-col, .m-width-12-col{ width: 96%; }
		.width-6-col, .width-4-col{ width: 50%; }
		
		.m-width-5-col{ width: calc((var(--one-column)*5)); }
		
		body:not(.page-template-page-informational) article > p, body:not(.page-template-page-informational) [class^='wp-block-group'] > p{
			/* width: calc(var(--one-column) * 5 + var(--one-gutter) * 4); */
		}
		
		.m-margin-bottom-half-gut{
			margin-bottom: calc(var(--one-gutter)*.5) !important;
		}
		
		.m-padding-0{ padding: 0;}
		.m-padding-16{ padding: 16px;}
		.m-padding-1-gut{padding: var(--one-gutter) !important;}
		.m-padding-half-gut{padding: calc(var(--one-gutter)*.5) !important;}

		.m-padding-x-1-gut{padding-right: calc(var(--one-gutter)) !important; padding-left: calc(var(--one-gutter)) !important;}

		
		.m-padding-right-1-gut{padding-right: calc(var(--one-gutter)) !important;}
		.m-padding-right-0{padding-right: 0 !important;}
		
		.m-padding-left-0{padding-left: 0 !important;}
		.m-padding-left-1-col{padding-left: var(--one-column) !important;}
		
		.m-padding-top-12{padding-top: 12px !important;}
		
		.m-padding-bottom-1-gut{padding-bottom: calc(var(--one-gutter)) !important}
		.m-padding-bottom-2-gut{padding-bottom: calc(var(--one-gutter)*2) !important}
		
		.m-gap-12{ gap: 12px;}
		.m-gap-16{ gap: 16px;}
		.m-gap-20{ gap: 20px;}
		
		.m-gap-1-col{ gap: var(--one-column);}
		
		.m-width-12-col,
		.m-width-100{ width: 100%; }
		
		.grid{
			grid-template-columns: repeat(2, 1fr);
		}
		
		
		
		.flex-row.m-fl-x-center{
			justify-content: center;
		}
		
		.m-flex-column.m-fl-x-center{
			align-items: center;
		}
		
		.flex-row.m-fl-x-end{
			justify-content: flex-end;
		} 
		.flex-column.m-fl-x-end{
			justify-content: flex-end;
		} 
		.flex-row.m-fl-x-start, 
		.m-flex-row.m-fl-x-start{
			align-items: flex-start;
		}
		
		.m-flex-column.m-fl-y-start{
			/* align-items: flex-start; */
		}
		.m-flex-row.m-fl-y-start,
		.flex-row.m-fl-y-start{
			/* justify-content: flex-start; */
			
		}
		
		.m-flex-row.m-fl-x-spacebetween{
			justify-content: space-between;
		}
	
		.m-flex-row.m-fl-y-end{
			align-items: flex-end;
		}
		
		.m-absolute{
			position: absolute;
		}
		
		.m-relative{
			position: relative;
		}
			
			
		.m-block{
			display: block;
		}
		
		.m-flex-row{
			flex-direction: row;
		}
		.m-flex-column{
			flex-direction: column;
		}
		.m-flex-column.fl-x-center,
		.m-fl-x-center{
			align-items: center;
		}
		
		.m-column-reverse{
			flex-direction: column-reverse;
		}
		
		.m-row-reverse{
			flex-direction: row-reverse;
		}
		
		
		
	}